# Class PhosphorusMonomer

java.lang.Object
org.jmol.modelset.Group
org.jmol.modelsetbio.Monomer
org.jmol.modelsetbio.PhosphorusMonomer

All Implemented Interfaces:
  `Structure`

Direct Known Subclasses:
  `NucleicMonomer`

public class PhosphorusMonomer extends Monomer

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final byte`
`P`

### Fields inherited from class Monomer

`backboneBlockVis, bioPolymer, offsets`

### Fields inherited from class Group

`chain, dssrNT, firstAtomIndex, group1, group3Names, groupID, groupIndex, lastAtomIndex, leadAtomIndex, selectedIndex, seqcode, shapeVisibilityFlags, specialAtomNames, standardGroupList, strutPoint`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PhosphorusMonomer()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getHelixData(int tokType, char qType, int mStep)`
`STR`
`getProteinStructureType()`
/////////////////////////////////////////////////////////////
`Quat`
`getQuaternion(char qType)`
`protected Quat`
`getQuaternionP()`
`Structure`
`getStructure()`
`protected boolean`
`isCA2(Monomer possiblyPreviousMonomer)`
`boolean`
`isDna()`
/////////////////////////////////////////////////////////////
`final boolean`
`isNucleic()`
group ID-based definition
`boolean`
`isPurine()`
group ID-based definition
`boolean`
`isPyrimidine()`
group ID-based definition
`boolean`
`isRna()`
group ID-based definition

### Methods inherited from class Monomer

`checkOptional, getAtomFromOffsetIndex, getAtomIndex, getBioPolymerIndexInModel, getBioPolymerLength, getCrossLinkGroup, getCrossLinkVector, getGroup1, getGroup1b, getGroupParameter, getHelixData2, getLeadAtom, getMonomerIndex, getMyInfo, getSelectedMonomerCount, getSelectedMonomerIndex, getSpecialAtom, getSpecialAtomPoint, getStructureId, getUniqueID, getWingAtom, have, isConnectedPrevious, isCrossLinked, isHelix, isLeadAtom, isSheet, scanForOffsets, set2, setGroupID, setLeadAtomIndex, setStrucNo, toString, updateOffsetsForAlternativeLocations`

### Methods inherited from class Group

`addAtoms, fixIndices, getBSSideChain, getCarbonylOxygenAtom, getGroup3, getGroupInfo, getInsCode, getInsertionCode, getInsertionCodeChar, getInsertionCodeFor, getLeadAtomOr, getMinZ, getModel, getNitrogenAtom, getProteinStructureSubType, getProteinStructureTag, getQuaternionFrame, getResno, getSeqcodeFor, getSeqcodeString, getSeqcodeStringFor, getSeqNumberFor, getStrucNo, haveSequenceNumber, isAdded, isCarbohydrate, isCursorOnTopOf, isDnaByID, isNucleicMonomer, isProtein, isPurineByID, isPyrimidineByID, isRnaByID, isSelected, isWithinStructure, scaleToScreen, setAtomBits, setAtomBitsAndClear, setGroup, setProteinStructureType, setResno, setShapeVisibility, unsetStrutPoint`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### P

protected static final byte P

See Also:
  - Constant Field Values

## Constructor Details

### PhosphorusMonomer

protected PhosphorusMonomer()

## Method Details

### isNucleic

public final boolean isNucleic()
Description copied from class: `Group`
group ID-based definition

Overrides:
  `isNucleic` in class `Group`
Returns:
  boolean

### isDna

public boolean isDna()
/////////////////////////////////////////////////////////////

Overrides:
  `isDna` in class `Group`
Returns:
  boolean

### isRna

public boolean isRna()
Description copied from class: `Group`
group ID-based definition

Overrides:
  `isRna` in class `Group`
Returns:
  boolean

### isPurine

public boolean isPurine()
Description copied from class: `Group`
group ID-based definition

Overrides:
  `isPurine` in class `Group`
Returns:
  boolean

### isPyrimidine

public boolean isPyrimidine()
Description copied from class: `Group`
group ID-based definition

Overrides:
  `isPyrimidine` in class `Group`
Returns:
  boolean

### getStructure

public Structure getStructure()

Overrides:
  `getStructure` in class `Group`

### getProteinStructureType

public STR getProteinStructureType()
Description copied from class: `Monomer`
/////////////////////////////////////////////////////////////

Overrides:
  `getProteinStructureType` in class `Monomer`

### isCA2

protected boolean isCA2(Monomer possiblyPreviousMonomer)

### getQuaternion

public Quat getQuaternion(char qType)

Overrides:
  `getQuaternion` in class `Group`
Parameters:
  `qType` -
Returns:
  quaternion

### getQuaternionP

protected Quat getQuaternionP()

### getHelixData

public Object getHelixData(int tokType, char qType, int mStep)

Overrides:
  `getHelixData` in class `Group`
Parameters:
  `tokType` -
  `qType` -
  `mStep` -
Returns:
  helix data of some sort